# [−] [src] Crate serialization

## Modules

bytes | Wrapper around `Vec<u8>`
compact | Compact representation of `U256`
hash | Fixed-size hashes

## Structs

CompactInteger | A type of variable-length integer commonly used in the Bitcoin P2P protocol and Bitcoin serialized data structures.
List |
ReadIterator | Should be used to iterate over structures of the same type
Reader | Bitcoin structures reader.
Stream | Stream used for serialization of Bitcoin structures

## Enums

Error |

## Constants

SERIALIZE_TRANSACTION_WITNESS | Do not serialize transaction witness data.

## Traits

Deserializable |
Serializable |

## Functions

deserialize |
deserialize_iterator |
serialize |
serialize_list |
serialize_with_flags |
serialized_list_size |
serialized_list_size_with_flags |

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g. `str,u8` or `String,struct:Vec,test`)